#include <math.h>
#include <stdio.h>

void insertionSort(int arr[], int n)
{
    int key, previousSlot;
    for (int i = 1; i < n; i++) {
        key = arr[i];
        previousSlot = i - 1;
        while (previousSlot >= 0 && arr[previousSlot] > key) {
            arr[previousSlot + 1] = arr[previousSlot];
            previousSlot = previousSlot - 1;
        }
        arr[previousSlot + 1] = key;
    }
}


void printArray(int arr[], int n){
    int i;
    for (i = 0; i < n; i++)
        printf("%d ", arr[i]);
    printf("\n");
}

int main(){
    int arr[] = { 12, 11, 13, 5, 6 };
    int n = sizeof(arr) / sizeof(arr[0]);
    insertionSort(arr, n);
    printArray(arr, n);
    return 0;
}
